Bug 168152 - hald-probe-smbios - trap stack segment rip:4010d0 rsp:7ffffffc6880 error:0
hald-probe-smbios - trap stack segment rip:4010d0 rsp:7ffffffc6880 error:0
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-12 17:55 EDT by Marcin Garski
Modified: 2013-03-05 22:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 11:56:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcin Garski 2005-09-12 17:55:28 EDT
When I boot my FC4 box and type dmesg I always see this message:
hald-probe-smbi[4100] trap stack segment rip:4010d0 rsp:7ffffffc6880 error:0

So probably hald-probe-smbios has crashed, I have installed hal-debuginfo but I
don't know how to execute hald-probe-smbios under gdb (runing gdb
/usr/libexec/hald-probe-smbios do nothing, just gives Program exited with code
01., but when I do /etc/init.d/hal restart then in dmesg I see "trap stack
segment"). Can you write me some suggestions?
Thanks.
Comment 1 Orion Poplawski 2005-10-07 16:55:56 EDT
Me too.

hald-probe-smbi[2533] trap stack segment rip:4010d0 rsp:7fffff82bd10 error:0

kernel 2.6.13-1.1526_FC4
hal-0.5.2-2

Note that I have both i386 and x86_64 versions of hal installed, which seems
odd, but required for OpenOffice:

Removing:
 hal                     i386       0.5.2-2          installed         506 k
Removing for dependencies:
 gnome-vfs2              i386       2.10.0-5         installed         3.9 M
 libgsf                  i386       1.11.1-2         installed         156 k
 libwpd                  i386       0.8.2-1.fc4      installed         441 k
 openoffice.org-calc     i386       1:1.9.125-1.1.0.fc4  installed          15 M
 openoffice.org-core     i386       1:1.9.125-1.1.0.fc4  installed         196 M
 openoffice.org-draw     i386       1:1.9.125-1.1.0.fc4  installed         2.6 M
 openoffice.org-impress  i386       1:1.9.125-1.1.0.fc4  installed         4.3 M
 openoffice.org-math     i386       1:1.9.125-1.1.0.fc4  installed         3.1 M
 openoffice.org-writer   i386       1:1.9.125-1.1.0.fc4  installed         5.9 M

Comment 2 Orion Poplawski 2006-01-06 11:18:06 EST
Um, any progress here?  Any more info we can provide?
Comment 3 Marcin Garski 2006-03-25 18:23:20 EST
Is there anybody out there? ;) Please reply and I'll try to debug it.
Comment 4 Marcin Garski 2006-05-17 16:36:02 EDT
In hal's changelog we can read:
"2005-10-10  Richard Hughes <richard@hughsie.com>

        * hald/linux2/probing/probe-smbios.c: the smbios prober now works with
        the new version of dmidecode (found in latest Ubuntu and Fedora Core
        Rawhide) that has a different output than the older format.
        I've also cleaned up the file substantially."

I'm not sure if this fix was or wasn't in hal included with FC4. I can only say
when I've upgraded my box to FC5, I don't see this message any more, so I can't
provide you more info. Maybe someone else could, so I will leave this bug open.
Comment 5 Marcin Garski 2006-05-17 16:39:51 EDT
hal-0.5.2 from FC4 was released on 2005-05-12 so this fix wasn't included, but I
don't know it this change in probe-smbios.c is responsible for resolving my problem.
Comment 6 Christian Iseli 2007-01-22 06:54:41 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 7 Orion Poplawski 2007-01-22 11:56:42 EST
Appears fixed in FC5.

Note You need to log in before you can comment on or make changes to this bug.